package sun.security.action;

import java.security.Security;
import java.security.PrivilegedAction;

public class GetBooleanSecurityPropertyAction implements PrivilegedAction<Boolean>
{
    private String theProp;
    
    public GetBooleanSecurityPropertyAction(String theProp) {
        this.theProp = theProp;
    }
    
    @Override
    public Boolean run() {
        boolean b = false;
        try {
            String property = Security.getProperty(this.theProp);
            b = (property != null && property.equalsIgnoreCase("true"));
        }
        catch (NullPointerException ex) {}
        return Boolean.valueOf((boolean)b);
    }
}
